From: Michael Fladischer <FladischerMichael@fladi.at>
Date: Sun, 23 Oct 2022 14:34:54 +0000
Subject: Fix typo in documentation.

---
 README.md        | 2 +-
 src/vmod_re2.vcc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/README.md b/README.md
index 3426d7d..864bab3 100644
--- a/README.md
+++ b/README.md
@@ -927,7 +927,7 @@ the full set object (default is false).
 `.compile()`. VCL failure is invoked if `.add()` is called in any other
 subroutine (see [ERRORS](#errors)). If it is called in `vcl_init` after
 `.compile()`, then the VCL load will fail with an error message. Note
-that `.compile()` is now unneccessary and deprecated.
+that `.compile()` is now unnecessary and deprecated.
 
 When the `.matched(INT)` method is called after a successful match, the
 numbering corresponds to the order in which patterns were added. The
diff --git a/src/vmod_re2.vcc b/src/vmod_re2.vcc
index bf850a5..f04d473 100644
--- a/src/vmod_re2.vcc
+++ b/src/vmod_re2.vcc
@@ -806,7 +806,7 @@ set to true for the full set object (default is false).
 ``.compile()``.  VCL failure is invoked if ``.add()`` is called in any
 other subroutine (see `ERRORS`_). If it is called in ``vcl_init``
 after ``.compile()``, then the VCL load will fail with an error
-message. Note that ``.compile()`` is now unneccessary and deprecated.
+message. Note that ``.compile()`` is now unnecessary and deprecated.
 
 When the ``.matched(INT)`` method is called after a successful match,
 the numbering corresponds to the order in which patterns were added.
